Summary: C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp
Name:    libb2
Version: 0.98.1
Release: 4%{?dist}
License: CC0
URL:     https://blake2.net/
Source0: https://github.com/BLAKE2/libb2/archive/v%{version}/libb2-%{version}.tar.gz

BuildRequires: gcc, automake, libtool, make

%description
C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp.

BLAKE2 is a cryptographic hash function faster than MD5, SHA-1, SHA-2,
and SHA-3, yet is at least as secure as the latest standard SHA-3.

%package        devel
Summary:        Development files for the Blake2 library
Requires:       %{name} = %{version}-%{release}

%description    devel
C library providing BLAKE2b, BLAKE2s, BLAKE2bp, BLAKE2sp.

This Package provides the development files.



%prep
%autosetup



%build
sed -e 's|CFLAGS=-O3|CFLAGS="%{optflags}"|g' -i configure.ac
autoreconf -ivf

%configure --disable-silent-rules --enable-static=no --enable-native=no
%make_build



%check
make check



%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license COPYING
%{_libdir}/libb2.so.1
%{_libdir}/libb2.so.1.*

%files devel
%{_libdir}/libb2.so
%{_libdir}/pkgconfig/libb2.pc
%{_includedir}/blake2.h



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.98.1-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.98.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.98.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.98.1-1
- initial
